Subject: bug#42097: closed (Re: [bug#42097] [PATCH] gnu: artanis: Use guile2.2 version of guile-redis.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 29 Jun 2020 06:23:02 +0000

Your bug report

#42097: [PATCH] gnu: artanis: Use guile2.2 version of guile-redis.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
42097: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=42097
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#42097] [PATCH] gnu: artanis: Use guile2.2 version of guile-redis.
From: Efraim Flashner <[email-masked]>
To: Masaya Tojo <[email-masked]>
Cc: [email-masked]
Date: Mon, 29 Jun 2020 09:21:26 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sun, Jun 28, 2020 at 07:58:37PM +0900, Masaya Tojo wrote:
> 
> Hello,
> 
> Thank you for reviewing my patch.
> 
> > Should guile-json-1 be switched to guile2.2-json-1 also?
> 
> Guile-json-1 seem version of guile2.2. I search for guile2.2-json-1, but it
> does not exist yet.
> 
> So, I think that it's not necessary.
> 

Agreed. I added a comment mentioning that guile-json-1 was already using
guile-2.2 so no one else gets confused and pushed the patch. Thanks!

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH] gnu: artanis: Use guile2.2 version of guile-redis.
From: Masaya Tojo <[email-masked]>
To: [email-masked]
Cc: Masaya Tojo <[email-masked]>
Date: Sun, 28 Jun 2020 07:42:03 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/guile-xyz.scm (artanis)[propagated-inputs]: Change from
guile-redis to guile2.2-redis.
---
 gnu/packages/guile-xyz.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index f8e59b0b21..5416b30c2e 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -28,6 +28,7 @@
 ;;; Copyright © 2020 Jack Hill <[email-masked]>
 ;;; Copyright © 2020 Julien Lepiler <[email-masked]>
 ;;; Copyright © 2020 Marius Bakke <[email-masked]>
+;;; Copyright © 2020 Masaya Tojo <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -157,7 +158,7 @@
     (propagated-inputs
      `(("guile-json" ,guile-json-1)
        ("guile-readline" ,guile2.2-readline)
-       ("guile-redis" ,guile-redis)))
+       ("guile-redis" ,guile2.2-redis)))
     (native-inputs
      `(("bash"       ,bash)         ;for the `source' builtin
        ("pkgconfig"  ,pkg-config)
-- 
2.26.2